cwlVersion: v1.2
class: ExpressionTool
doc: |
  Takes an array of directories (e.g. from a workflow step) and yields them in a destination directory.
requirements:
  - class: InlineJavascriptRequirement
inputs:
  inDirs: Directory[]
  destinationDir: string
expression: |
  ${
    return {"outDir": {
      "class": "Directory", 
      "basename": inputs.destinationDir,
      "listing": inputs.inDirs
    } };
  }
outputs:
  outDir: Directory